{* Calculate title from path *}
{capture name="title"}
{if count($path)>1} - {/if}
{foreach from=$path item=category name=path}
  {if $smarty.foreach.path.iteration gt 2}
    >
  {/if}
  {if not $smarty.foreach.path.first}
    {$category.TITLE}
  {/if}
{/foreach}
{/capture}
{strip}
{assign var="in_page_title" value=$category.TITLE}
{assign var="description" value=$category.DESCRIPTION}
{include file="header.tpl"}

{include file="top_bar.tpl"}



{* Calculate the number of categories per row *}
{php}
$this->assign('cats_per_col', ceil(count($this->get_template_vars('categs'))/ CATS_PER_ROW));
{/php}

{* Display categories heading if not on homepage *}
{if $category.ID gt 0 and count($categs) gt 0}
<div id="caption_bar_top"><p><img src="{$smarty.const.DOC_ROOT}/images/bar.top.left.gif"></p></div>
      <div id="caption_bar">{l}Categories{/l}</div>

{/if}

{* Categories *}

<table align="center" border="0" cellpadding="0" cellspacing="0" width="96%">
<tr>
{foreach from=$categs item=cat name=categs}
	{if ($smarty.foreach.categs.iteration mod $cats_per_col eq 1 and $cats_per_col gt 1) or $smarty.foreach.categs.first}<td valign="top">{/if}
	
	
{* Start Categories Modifications By Vegabond *}

<table width="100%" border="0" cellspacing="4" cellpadding="0">
<td><div class="cat"><a href="{if $smarty.const.ENABLE_REWRITE}{$cat.TITLE_URL}/{else}index.php?c={$cat.ID}{/if}">{$cat.TITLE}</a>{if $smarty.const.CATS_COUNT} <span class="small">({$cat.COUNT})</span>{/if}</div></td>
</tr>
</table>

	
{* Display subcategories *}
{if $cat.SUBCATS}
<div class="subcat">
	{foreach from=$cat.SUBCATS item=scat name=scategs}
	<a href="{if $smarty.const.ENABLE_REWRITE}{$cat.TITLE_URL}/{$scat.TITLE_URL}/{else}index.php?c={$scat.ID}{/if}">
	{$scat.TITLE}</a>, {/foreach} ...
</div>
{/if}
	
	{if ($smarty.foreach.categs.iteration mod $cats_per_col eq 0 and $cats_per_col gt 1) or $smarty.foreach.categs.last}</td>{/if}
{/foreach}
</tr></table><div class="break"></div>





{if $smarty.const.FTR_ENABLE==1 and count($feat_links) gt 0}
<div id="caption_bar_top"><p><img src="{$smarty.const.DOC_ROOT}/images/bar.top.left.gif"></p></div>
<div id="caption_bar">{l}Featured links{/l}</div>

{foreach from=$feat_links item=link name=links}
<div class="featured_link">{include file="link.tpl" link=$link}</div>
{/foreach}
<div class="break"></div>
	
{/if}


{* Links heading and sorting *}
{if ($qu or $category.ID gt 0 or $p) and count($links) gt 0}
<div id="caption_bar_top"><p><img src="{$smarty.const.DOC_ROOT}/images/bar.top.left.gif"></p></div>
<div id="caption_bar">
<p class="shorting">
	{if not $p}{l}Sort by{/l}:
	{if $smarty.const.ENABLE_PAGERANK and $smarty.const.SHOW_PAGERANK}{if $sort eq 'P'} <span class="sort">{l}PageRank{/l}</span>{else} <a href="?s=P{if not $smarty.const.ENABLE_REWRITE}&c={$category.ID}{/if}{if $qu}&q={$qu}{/if}">{l}PageRank{/l}</a>{/if} |{/if}
	{if $sort eq 'H'} <span class="sort">{l}Hits{/l}</span>{else} <a href="?s=H{if not $smarty.const.ENABLE_REWRITE}&c={$category.ID}{/if}{if $qu}&q={$qu}{/if}">{l}Hits{/l}</a>{/if}
	{if $sort eq 'A'} | <span class="sort">{l}Alphabetical{/l}</span>{else} | <a href="?s=A{if not $smarty.const.ENABLE_REWRITE}&c={$category.ID}{/if}{if $qu}&q={$qu}{/if}">{l}Alphabetical{/l}</a>{/if}
	{/if}</p>
	
<p>
{l}Regular Links{/l}
</p>
</div>

{foreach from=$links item=link name=links}
<div class="regular_link">{include file="link.tpl" link=$link}</div>
{/foreach}


{/if}

{* Javascript for tracking link clicks *}
<script>
	var root = '{$smarty.const.DOC_ROOT}';
	{literal}
	var a = document.getElementsByTagName("a");
	for(i=0; i<a.length; i++)if(a[i].id != '')
		a[i].onclick = count_link;
	function count_link(){
		i = new Image();
		i.src= root+'/cl.php?id='+this.id;
		return true;
	}
	{/literal}
</script>

{include file="footer.tpl"}
{/strip}